{% extends 'base.html.twig' %}

{% block title %}Training index{% endblock %}

{% block body %}
    <h1>Training index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>StartDate</th>
                <th>EndDate</th>
                <th>Diploma</th>
                <th>Dimension</th>
                <th>SchoolName</th>
                <th>Place</th>
                <th>SchoolWebSite</th>
                <th>ResultsObtained</th>
                <th>Description</th>
                <th>Compagny</th>
                <th>CompagnyWebSite</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for training in trainings %}
            <tr>
                <td>{{ training.id }}</td>
                <td>{{ training.startDate ? training.startDate|date('Y-m-d') : '' }}</td>
                <td>{{ training.endDate ? training.endDate|date('Y-m-d') : '' }}</td>
                <td>{{ training.diploma }}</td>
                <td>{{ training.dimension }}</td>
                <td>{{ training.schoolName }}</td>
                <td>{{ training.place }}</td>
                <td>{{ training.schoolWebSite }}</td>
                <td>{{ training.resultsObtained }}</td>
                <td>{{ training.description }}</td>
                <td>{{ training.compagny }}</td>
                <td>{{ training.compagnyWebSite }}</td>
                <td>
                    <a href="{{ path('app_training_show', {'id': training.id}) }}">show</a>
                    <a href="{{ path('app_training_edit', {'id': training.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="13">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_training_new') }}">Create new</a>
{% endblock %}
